Recurring loss of session data makes 77MB file upload fail on Wikimedia Commons
Closed, ResolvedPublic

Description

Author: folengo

Description:
I have tried to upload a 77 MB file on Wikimedia Commons 2 or 3 times yesterday night and 2 or 3 times today again. Each time 100% of the file seems to upload, but at the end I obtain the "Sorry! We could not process your edit due to a loss of session data. Please try again. If it still does not work, try logging out and logging back in." message.

These attempts were made using Firefox 7, except the last one which was made using Chrome 9.0.

Uploading this file takes 1 hour and 20 minutes from my computer. I have already spent 5 or 6 hours for this upload only, without success. Is there anything I can do ?

Yesterday morning, I uploaded another file which was 78 MB and it was OK from the first time.


Version: unspecified
Severity: normal

bzimport added a project: MediaWiki-Uploading.Via ConduitNov 21 2014, 11:52 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz31610.
bzimport created this task.Via LegacyOct 11 2011, 2:52 PM
bzimport added a comment.Via ConduitOct 12 2011, 1:42 PM

folengo wrote:

The above was with the old upload form. With the upload wizard the upload is also failing and the error message is "Internal error: Bad token".

MarkAHershberger added a comment.Via ConduitNov 17 2011, 8:50 PM

(In reply to comment #0)

Yesterday morning, I uploaded another file which was 78 MB and it was OK from
the first time.

Were they both the same type of file, jpg or png or ogv or ???

Would it be possible to point us to a URL of the file you were having trouble with? If not, could you attempt to upload it as an attachment here (in the hope that Bugzilla supports files that large and has something else happening during upload)?

MarkAHershberger added a comment.Via ConduitNov 17 2011, 8:52 PM

Also, give a URL to the file that you were able to upload?

(Switching component since this seems to be a general uploading problem.)

Pristurus added a comment.Via ConduitNov 26 2011, 11:58 AM

For me (Win7, Seamonkey 2.5, file type: ogv) all uploads with file sizes bigger than (about) 30 MB produce these messages too. I think the reason may be my slow upload speed (DSL 384) and the resulting long upload times. However it is no problem to transfer the files to a file hoster (and ask other users for help to transfer it from there to commons). But it would be nice to solve this issue.

bzimport added a comment.Via ConduitMay 4 2012, 5:48 AM

dovijacobs wrote:

Hi, I have been having very painful upload problems at the Commons for months. I usually upload PDFs, some small (2-3M) and some large (~50M).

For months already I have not been able to upload anything larger than the 2-3M range (small files), and even those can easily take half an hour or longer.

Large files take many hours, sometimes I've left them overnight (!) and they always crash and fail in the end. I haven't uploaded a single large file in a great many months.

I've tried with both the new upload page and the old one.

Eloquence added a comment.Via ConduitMay 6 2012, 7:37 PM

Hi Dovi,

are you able to successfully upload large files to other websites (e.g. YouTube, Scribd)? Can you also specify browser/OS info?

In general I'd recommend that anyone who experiences "session data" problems with large uploads try the new chunked upload user preference and see if that improves stability of your uploads: http://commons.wikimedia.org/wiki/Commons:Chunked_uploads

Note that this will only have any effect on Upload Wizard.

bzimport added a comment.Via ConduitMay 8 2012, 7:59 PM

dovijacobs wrote:

::Thanks Erik. I tried chunked uploads and it didn't work. But today I uploaded from someone else's computer with a different internet provider and it worked fine: A large file uploaded in just a few minutes. So I'm beginning to think it might have something to do with my own internet. Downloads work fine, though. ~~~~

tstarling added a comment.Via ConduitFeb 4 2013, 3:47 AM

In 2011, it would have been possible for session storage to expire or disappear during the 1 hour it took to do an upload. Sessions are stored in Redis now, which is much more reliable than using the main memcached pool. So it's unlikely that the problem described in the original report still occurs. The issue has apparently not been re-reported since November 2011. Marking fixed.

Uploads can be slow due to network issues. Such issues are typically transient and should be reported on IRC to be isolated immediately. There's no way to debug them a year after the fact.

Gilles raised the priority of this task from "Normal" to "Unbreak Now!".Via WebDec 4 2014, 10:25 AM
Gilles moved this task to Closed on the Multimedia workboard.
Gilles added a project: Multimedia.
Gilles lowered the priority of this task from "Unbreak Now!" to "Normal".Via ConduitDec 4 2014, 11:23 AM

Add Comment